Merge "[docker] Use image IDs instead of tags"
[releng.git] / utils / push-test-logs.sh
1 #!/bin/bash
2 # SPDX-license-identifier: Apache-2.0
3 ##############################################################################
4 # Copyright (c) 2016 Orange and others.
5 # All rights reserved. This program and the accompanying materials
6 # are made available under the terms of the Apache License, Version 2.0
7 # which accompanies this distribution, and is available at
8 # http://www.apache.org/licenses/LICENSE-2.0
9 ##############################################################################
10 set -e
11 set -o pipefail
12
13 export PATH=$PATH:/usr/local/bin/
14
15 git_sha1="$(git rev-parse HEAD)"
16 res_build_date=${1:-$(date -u +"%Y-%m-%d_%H-%M-%S")}
17 project=$PROJECT
18 branch=${BRANCH##*/}
19 testbed=$NODE_NAME
20 dir_result="${HOME}/opnfv/$project/results/${branch}"
21 # src: https://wiki.opnfv.org/display/INF/Hardware+Infrastructure
22 # + intel-pod12 (vsperf)
23 node_list=(\
24 'lf-pod1' 'lf-pod2' 'intel-pod2' 'intel-pod12' \
25 'intel-pod5' 'intel-pod6' 'intel-pod7' 'intel-pod8' \
26 'ericsson-pod1' 'ericsson-pod2' \
27 'ericsson-virtual1' 'ericsson-virtual2'  'ericsson-virtual3' \
28 'ericsson-virtual4' 'ericsson-virtual5' 'ericsson-virtual12' \
29 'arm-pod1' 'arm-pod3' \
30 'huawei-pod1' 'huawei-pod2' 'huawei-pod3' 'huawei-pod4' 'huawei-pod5' \
31 'huawei-pod6' 'huawei-pod7' 'huawei-pod12' \
32 'huawei-virtual1' 'huawei-virtual2' 'huawei-virtual3' 'huawei-virtual4')
33
34
35 if [[ ! " ${node_list[@]} " =~ " ${testbed} " ]]; then
36     echo "This is not a CI POD. Aborting pushing the logs to artifacts."
37     exit 0
38 fi
39
40 if [[ "$branch" == "master" ]]; then
41     project_artifact=logs/$project/$testbed/$res_build_date
42 else
43     project_artifact=logs/$project/$testbed/$branch/$res_build_date
44 fi
45
46 # create the folder to store the results
47 mkdir -p $dir_result
48
49 # copy folder to artifact
50 if [ -d "$dir_result" ]; then
51     if [ "$(ls -A $dir_result)" ]; then
52         set +e
53         gsutil&>/dev/null
54         if [ $? != 0 ]; then
55             echo "Not possible to push results to artifact: gsutil not installed";
56         else
57             gsutil ls gs://artifacts.opnfv.org/"$project"/ &>/dev/null
58             if [ $? != 0 ]; then
59                 echo "Not possible to push results to artifact: some error happened when using gsutil";
60             else
61                 echo "Uploading logs to artifact $project_artifact"
62                 gsutil -m cp -r "$dir_result"/* gs://artifacts.opnfv.org/"$project_artifact"/ >/dev/null 2>&1
63                 echo "Logs can be found in http://artifacts.opnfv.org/logs_${project}_${testbed}.html"
64                 cd $dir_result
65                 files=($(find . -name \* -print|sed 's/^\.//'|sed '/^\s*$/d'))
66                 for f in ${files[@]}; do
67                     echo "http://artifacts.opnfv.org/${project_artifact}${f}"
68                 done
69             fi
70         fi
71     else
72           echo "Result folder is empty"
73     fi
74 fi